الانتقال إلى المحتوى الرئيسي
GET
JavaScript

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

معلمات المسار

id
string
مطلوب

Product Collection Id

معلمات الاستعلام

locale
string

Shows the translated name, description and unit of the catalog entities in this locale. The value must be a code from GET /locales, for example fr. A field with no translation, an unknown code, or no code shows the base text.

Do not send a text from a localized response back in a create or update request. The base text then changes to the translated text.

الاستجابة

Product Collection Retrieved Successfully

brand_id
string
مطلوب

Brand ID for the collection

created_at
string<date-time>
مطلوب

Timestamp when the collection was created

groups
object[]
مطلوب

Groups in this collection

id
string
مطلوب

Unique identifier for the product collection

name
string
مطلوب

Name of the collection

updated_at
string<date-time>
مطلوب

Timestamp when the collection was last updated

description
string | null

Description of the collection

effective_at_on_downgrade
null | enum<string>

Default effective_at setting for subscription plan downgrades (null = inherit from business)

الخيارات المتاحة:
immediately,
next_billing_date
effective_at_on_upgrade
null | enum<string>

Default effective_at setting for subscription plan upgrades (null = inherit from business)

الخيارات المتاحة:
immediately,
next_billing_date
image
string | null

URL of the collection image

on_payment_failure
null | enum<string>

Default behavior for subscription plan changes on payment failure (null = inherit from business)

الخيارات المتاحة:
prevent_change,
apply_change
proration_billing_mode_on_downgrade
null | enum<string>

Default proration billing mode for subscription plan downgrades (null = inherit from business)

الخيارات المتاحة:
prorated_immediately,
full_immediately,
difference_immediately,
do_not_bill,
prorated_immediately_keep_cycle
proration_billing_mode_on_upgrade
null | enum<string>

Default proration billing mode for subscription plan upgrades (null = inherit from business)

الخيارات المتاحة:
prorated_immediately,
full_immediately,
difference_immediately,
do_not_bill,
prorated_immediately_keep_cycle
آخر تعديل في ٢٢ مايو ٢٠٢٦